Name:          disruptor
Version:       3.4.4
Release:       %mkrel 2
Group:         Development/Java
Summary:       Concurrent Programming Framework
License:       ASL 2.0
URL:           https://lmax-exchange.github.io/disruptor/
BuildArch:     noarch

Source0:       https://github.com/LMAX-Exchange/disruptor/archive/%{version}/%{name}-%{version}.tar.gz
Source1:       https://repo1.maven.org/maven2/com/lmax/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)

%description
A High Performance Inter-Thread Messaging Library.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%autosetup
# Cleanup
find . -name "*.class" -print -delete
find . -name "*.jar" -type f -print -delete

cp -p %{SOURCE1} pom.xml

# Add OSGi support
%pom_xpath_inject "pom:project" "<packaging>bundle</packaging>"
%pom_add_plugin org.apache.felix:maven-bundle-plugin:2.3.7 . '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-DocURL>%{url}</Bundle-DocURL>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-Vendor>LMAX Disruptor Development Team</Bundle-Vendor>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

# fail to compile cause: incompatible hamcrest apis
rm -r src/test/java/com/lmax/disruptor/RingBufferTest.java \
 src/test/java/com/lmax/disruptor/RingBufferEventMatcher.java
# Failed to stop thread: Thread[com.lmax.disruptor.BatchEventProcessor@1d057a39,5,main]
rm -r src/test/java/com/lmax/disruptor/dsl/DisruptorTest.java
# Test fails due to incompatible jmock version
#rm -f src/test/java/com/lmax/disruptor/EventPollerTest.java

%mvn_file :%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8 -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENCE.txt

%files javadoc -f .mfiles-javadoc
%license LICENCE.txt




%changelog
* Thu May 23 2024 ns80 <ns80> 3.4.4-2.mga10
+ Revision: 2066530
- rebuild for java 21

* Thu Aug 04 2022 neoclust <neoclust> 3.4.4-1.mga9
+ Revision: 1875291
- New version 3.4.4
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 3.4.2-1.mga8
+ Revision: 1621522
- Rebase to disruptor upstream release v3.4.2
- Rebuilt for JDK-11

* Fri Feb 14 2020 umeabot <umeabot> 3.3.6-2.mga8
+ Revision: 1520665
- Mageia 8 Mass Rebuild

* Mon Dec 03 2018 daviddavid <daviddavid> 3.3.6-1.mga7
+ Revision: 1338120
- new version: 3.3.6 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 3.3.2-6.mga7
+ Revision: 1261202
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 3.3.2-5.mga6
+ Revision: 982593
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 3.3.2-4.mga6
+ Revision: 975759
- First rebuild of the java stack
- sync package disruptor with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Jul 03 2015 daviddavid <daviddavid> 3.3.2-1.mga6
+ Revision: 849746
- sync with fc23 (update to 3.3.2)
- fix Group

* Thu Dec 25 2014 pterjan <pterjan> 3.2.1-6.mga5
+ Revision: 805780
- Clean rebuild
- Restore
+ sander85 <sander85>
- Leaf package that depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 3.2.1-4.mga5
+ Revision: 746582
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 dmorgan <dmorgan> 3.2.1-2.mga5
+ Revision: 641417
- imported package disruptor


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 21 2014 gil cattaneo <puntogil@libero.it> 3.2.1-1
- update to 3.2.1

* Wed Aug 14 2013 gil cattaneo <puntogil@libero.it> 3.2.0-1
- initial rpm
